# * Prepare

image: csantosb/arch-vhdl:20200709

variables:
  # just clone last commit
  GIT_DEPTH: 1

stages:
  - build

# * Build

compile_libraries:
  stage: build
  script:
    - /usr/bin/ghdl -v
    - cd ghdl/vendors && ./runme.sh
  only:
    - master
